Package org.pushingpixels.flamingo.internal.utils

# Class KeyTipRenderingUtilities

java.lang.Object
org.pushingpixels.flamingo.internal.utils.KeyTipRenderingUtilities

public class KeyTipRenderingUtilities extends Object

## Constructor Summary

Constructors
Constructor
Description
`KeyTipRenderingUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static Dimension`
`getPrefSize(FontMetrics fm, String keyTip)`
`static void`
`renderKeyTip(Graphics g, Container c, Rectangle rect, String keyTip, boolean toPaintEnabled)`
`static void`
`renderMenuButtonKeyTips(Graphics g, JCommandMenuButton menuButton, CommandButtonLayoutManager layoutManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyTipRenderingUtilities

public KeyTipRenderingUtilities()

## Method Details

### getPrefSize

public static Dimension getPrefSize(FontMetrics fm, String keyTip)

### renderKeyTip

public static void renderKeyTip(Graphics g, Container c, Rectangle rect, String keyTip, boolean toPaintEnabled)

### renderMenuButtonKeyTips

public static void renderMenuButtonKeyTips(Graphics g, JCommandMenuButton menuButton, CommandButtonLayoutManager layoutManager)